/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * Copyright 2004-2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * StatisticImpl.java
 *
 * Created on August 8, 2003, 12:20 PM
 */

package com.sun.enterprise.admin.monitor.util;
import javax.management.j2ee.statistics.*;
/**
 * Moc implementation of Statistic interface
 * @author  sg112326
 */
public class StatisticMock implements Statistic {
    protected String name = null;
    protected String unit = null;
    protected String description = null;
    protected long startTime = 0;
    protected long sampleTime = 0;
    /** Creates a new instance of StatisticImpl */
    public StatisticMock(String name, String unit, String desc, long startTime, long sampleTime) {
            this.name=name;
            this.unit=unit;
            this.description=description;
            this.startTime=startTime;
            this.sampleTime=sampleTime;            
    }
    
    public String getDescription() {
        return description;
    }
    
    public long getLastSampleTime() {
        return sampleTime;
    }
    
    public String getName() {
        return name;
    }
    
    public long getStartTime() {
        return startTime;
    }
    
    public String getUnit() {
        return unit;
    }    
}
